Bug 844420 - sudo 1.7.2p1-14.el5_8 removed sudoers line from nsswitch.conf
Summary: sudo 1.7.2p1-14.el5_8 removed sudoers line from nsswitch.conf
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sudo
Version: 5.8
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Daniel Kopeček
QA Contact: Dalibor Pospíšil
URL:
Whiteboard:
Keywords: ZStream
Depends On: 841070
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-30 14:32 UTC by RHEL Product and Program Management
Modified: 2012-08-13 04:23 UTC (History)
10 users (show)

(edit)
Updating the sudo package resulted in the "sudoers" line in "/etc/nsswitch.conf" being removed. This update corrects the bug in the sudo package's post-uninstall script that caused this issue.
Clone Of:
(edit)
Last Closed: 2012-08-07 16:54:00 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1149 normal SHIPPED_LIVE Moderate: sudo security and bug fix update 2012-08-07 20:52:26 UTC

Description RHEL Product and Program Management 2012-07-30 14:32:30 UTC
This bug has been copied from bug #841070 and has been proposed
to be backported to 5.8 z-stream (EUS).

Comment 7 errata-xmlrpc 2012-08-07 16:54:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1149.html

Comment 8 Johnny Hughes 2012-08-08 19:02:59 UTC
This fix leaves /etc/nsswitch.conf as permissions 0600 (because the postinstall uses mktemp).  nsswitch.conf needs to be 0644 instead of 0600.

Comment 9 Johnny Hughes 2012-08-08 19:09:43 UTC
see CentOS bug #5883:

http://bugs.centos.org/view.php?id=5883

Comment 10 Murray McAllister 2012-08-13 04:23:14 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Updating the sudo package resulted in the "sudoers" line in "/etc/nsswitch.conf" being removed. This update corrects the bug in the sudo package's post-uninstall script that caused this issue.


Note You need to log in before you can comment on or make changes to this bug.